Results 1 to 9 of 9

Thread: Problem with Amarok 2

  1. #1

    Angry Problem with Amarok 2

    Hi.. Today I installed Amarok 2 because the standard version of Amarok in openSUSE 11.1 (KDE 4.1) had some problem with the sound. The MP3 sound was very bad... So now I can't manage to add music to Amarok 2. I get this error in the konsole while I'm trying to add my library:

    link XMLID_9_ hasn't been detected!
    Couldn't resolve property: linearGradient3563
    link XMLID_9_ hasn't been detected!
    link XMLID_9_ hasn't been detected!
    link XMLID_9_ hasn't been detected!

  2. #2
    Join Date
    Jun 2008
    Location
    PHX
    Posts
    481

    Default Re: Problem with Amarok 2

    <>---><^>

  3. #3

    Default Re: Problem with Amarok 2

    OK.. so this is an KDE 4 bug... Well I've remove Amarok 2 and I've installed again the Amarok 1.4.10 but I get bad quality when I play MP3 files. I need to put the Amarok volume to 20% so I can have no sound crash .... and does not play m4a files

  4. #4

    Default Re: Problem with Amarok 2

    I found the same Amarok audio quality problem. XMMS worked as a substitute (Packman repository), but the interface is really primitive and a pain to use. So, I found Audacious which is an improvement on XMMS (at least you can include a music source directory with lots of sub-directories with a single command) and it sounds good. Its still only a slightly less primitive interface, but unlike Amarok at least I can listen to mp3s on it.

  5. #5
    Join Date
    Jul 2008
    Location
    Netherlands
    Posts
    1,140

    Default Re: Problem with Amarok 2

    If you're looking for a temporarily replacement, take a look at JuK .
    It's in the packman repository, doesn't handle a lot of non-oss formats though.

    In amarok I've always had a nasty distortion after applying a change, any change... so maybe it works the other way around for you and applying any change will fix it? Though you prolly tried more than just one to get it working.

    Reporting bugs on 1.4 seems quite useless btw, I always get the reaction "We are focusing on 2.0" and then the report is closed.
    Special effects <- KDE 4.2 Showing off
    More KDE -> PINK KDE

  6. #6

    Default Re: Problem with Amarok 2

    I think I better stay with Banshee

  7. #7
    Join Date
    Jun 2008
    Location
    Mid North Coast - NSW - Australia
    Posts
    43

    Default Re: Problem with Amarok 2

    I had problems with sound in Amarok but once I removed all the pulseaudio rpm's everything sounded good.

  8. #8

    Default Re: Problem with Amarok 2

    After reading the AussieBob post (thanks), I thought I would try reinstalling Amarok 1.4.10. Since I have packman as a repository it showed the packman version as the most recent Amarok. However, when I selected it one of the libtune..... libraries failed the dependency check and the resolver gave me the option to switch to the packman repository (I kind of thought I was already using packman). After the resolver switched to packman, the library dependency went away.

    I had already manually selected this package (I don't know if selecting the packman repository would have automatically selected this one or not):
    amarok-packman - Metapackage to install Amarok from the Packman repository:
    Code:
    A metapackage that explicitly requires and installs the Packman builds of Amarok, that are uncrippled
    and contain MySQL as well as PostgreSQL as collection databases. It also installs the uncrippled
    Xine package from Packman, that supports all codecs and formats.
    Anyway, my Amarok audio problem is cured and I didn't have to remove any pulseaudio. It must be non-oss gremlins in the standard repository Amarok distribution !

  9. #9
    Join Date
    Jun 2008
    Location
    Mid North Coast - NSW - Australia
    Posts
    43

    Default Re: Problem with Amarok 2

    Mike - Gald you got there in the end. Happy listening

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •